MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029749Open CASCADE[OCCT] OCCT:Inspectorspublic2018-05-10 06:482018-07-05 10:06
Reporternds 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029749: Samples - Inspector tool - remove "modified" column in TNaming_NamedShape presentation
DescriptionSamples - TInspector - remove "modified" column in TNaming_NamedShape presentation

Evolution table TNaming_NamedShape presentation presents information of TNaming_Iterator.
The second column contains dumplicating information. It shows result of the 'IsModification()' method.
This method returns true if TNaming_Evolution is TNaming_MODIRY or TNaming_DELETE.
At the same time, result of TNaming_Evolution is the first column of this table.

To simplify presentation of this table, this column should be removed.
Steps To Reproducetests/tools/dfbrowser/A5. Output image result should be updated.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0075909)
git (administrator)
2018-05-10 06:53

Branch CR29749 has been created by nds.

SHA-1: d778160065c48e81a2b783e1ddb1a06f53919184


Detailed log of new commits:

Author: nds
Date: Thu May 10 06:53:15 2018 +0300

    Samples - Inspector tool - remove "modified" column in TNaming_NamedShape presentation
(0075912)
nds (developer)
2018-05-10 09:19

http://jenkins-test-11.nnov.opencascade.com/view/CR29749-master-NDS [^]
(0076157)
bugmaster (administrator)
2018-05-23 12:22

Combination -
OCCT branch : CR29749 SHA - d778160065c48e81a2b783e1ddb1a06f53919184
Products branch : master SHA - 300cf879a836fb8a5c4636713070ca9cf544749f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18275.019999999957 / 18243.73999999987 [+0.17%]
Products
Total CPU difference: 7504.180000000065 / 7505.440000000054 [-0.02%]
Windows-64-VC10:
OCCT
Total CPU difference: 17986.447296998456 / 18049.78370299853 [-0.35%]
Products
Total CPU difference: 7681.411239499969 / 7697.713343999945 [-0.21%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076942)
git (administrator)
2018-06-23 13:56

Branch CR29749 has been deleted by kgv.

SHA-1: d778160065c48e81a2b783e1ddb1a06f53919184

- Related Changesets
occt: master b2300241
Timestamp: 2018-05-10 03:53:15
Author: abv
Committer: abv
Details ] Diff ]
0029749: Samples - Inspector tool - remove "modified" column in TNaming_NamedShape presentation
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNamedShape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-10 06:48 nds New Issue
2018-05-10 06:48 nds Assigned To => nds
2018-05-10 06:53 git Note Added: 0075909
2018-05-10 07:18 nds Status new => resolved
2018-05-10 09:19 nds Note Added: 0075912
2018-05-10 09:19 nds Status resolved => reviewed
2018-05-17 11:17 nds Assigned To nds => bugmaster
2018-05-23 12:21 bugmaster Test case number => Not needed
2018-05-23 12:22 bugmaster Note Added: 0076157
2018-05-23 12:22 bugmaster Status reviewed => tested
2018-05-24 16:02 abv Changeset attached => occt master b2300241
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-06-23 13:56 git Note Added: 0076942
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:18 user533 Status verified => closed
2018-07-05 10:06 abv Category OCCT:Samples => OCCT:Inspectors


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker